﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows;
using Telerik.Windows.Controls.Docking;
using WpfDockingAndRibbonTest.Controls;

namespace WpfDockingAndRibbonTest
{
    /// <summary>
    /// Logica di interazione per MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        private readonly RibbonMerge m_ribbonMerge;
        public MainWindow()
        {
            InitializeComponent();
            m_ribbonMerge = new RibbonMerge(RadDockingMain, RibbonMain);

            RadDockingMain.PreviewClose += RadDockingMainOnPreviewClose;
            RadDockingMain.ActivePaneChanged += RadDockingMainOnActivePaneChanged;
            RadDockingMain.Show += RadDockingMainOnShow;
            RadDockingMain.PaneStateChange += RadDockingMainOnPaneStateChange;

            Loaded += (sender, args) =>
                      {
                          m_ribbonMerge.LoadUserControl(new UserControlTest001 { Name = "Ctr001" });
                          m_ribbonMerge.LoadUserControl(new UserControlTest001 { Name = "Ctr002" });
                      };
        }

        private void RadDockingMainOnPaneStateChange(object sender, RadRoutedEventArgs radRoutedEventArgs)
        {
        }

        private void RadDockingMainOnShow(object sender, StateChangeEventArgs stateChangeEventArgs)
        {
        }

        private void RadDockingMainOnActivePaneChanged(object sender, ActivePangeChangedEventArgs activePangeChangedEventArgs)
        {
        }

        private void RadDockingMainOnPreviewClose(object sender, StateChangeEventArgs stateChangeEventArgs)
        {
            
        }

        private void RibbonButtonOpenNewControlOnClick(object sender, RoutedEventArgs e)
        {
            var control = new UserControlTest001();
            m_ribbonMerge.LoadUserControl(control);
        }
    }
}
